SDL_GPUTexture(3type)

NAME
SDL_GPUTexture - An opaque handle representing a texture.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_GPUTexture SDL_GPUTexture;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateGPUTexture(3), •(3), SDL_UploadToGPUTexture(3), •(3), SDL_DownloadFromGPUTexture(3), •(3), SDL_CopyGPUTextureToTexture(3), •(3), SDL_BindGPUVertexSamplers(3), •(3), SDL_BindGPUVertexStorageTextures(3), •(3), SDL_BindGPUFragmentSamplers(3), •(3), SDL_BindGPUFragmentStorageTextures(3), •(3), SDL_BindGPUComputeStorageTextures(3), •(3), SDL_GenerateMipmapsForGPUTexture(3), •(3), SDL_BlitGPUTexture(3), •(3), SDL_ReleaseGPUTexture(3)